/*
 * Parsed printf routine for our strings
 * by Ken Hollis
 */

#include "cfingerd.h"

void pprintf(char *string)
{
    int i = 0;

    while(string[i] != '\0') {
	switch(string[i]) {
	    case '\\' :
		i++;
		switch(string[i]) {
		    case 'n' : printf("\n"); break;
		    case 'r' : printf("\r"); break;
		    case 't' : printf("\t"); break;
		}
		break;

	    default:
		printf("%c", string[i]);
	}

	i++;
    }
}
